Gtk2::CellRendererCombo(3p)

NAME
Gtk2::CellRendererCombo

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererText
                      +----Gtk2::CellRendererCombo

METHODS

  cellrenderer = Gtk2::CellRendererCombo->new

PROPERTIES

'has-entry' (boolean : readable / writable / private)
    If FALSE, don't allow to enter strings other than the chosen ones

'model' (Gtk2::TreeModel : readable / writable / private)
    The model containing the possible values for the combo box

'text-column' (integer : readable / writable / private)
    A column in the data source model to get the strings from

SIGNALS

changed (Gtk2::CellRendererCombo, string, Gtk2::TreeIter)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::CellRenderer, Gtk2::CellRendererText

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.